summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlistair Francis <alistair.francis@xilinx.com>2017-09-15 09:56:29 -0700
committerRichard Purdie <richard.purdie@linuxfoundation.org>2017-09-21 09:23:59 +0100
commitdb1fc2ec360eb5dad1363634458ec4b56e7bbb9d (patch)
tree6d40aff7d8e9318042058d7b35d231df96dfa9bd
parent8e16694b2f4c4038c56226821699d0d21578bdf0 (diff)
downloadopenembedded-core-contrib-db1fc2ec360eb5dad1363634458ec4b56e7bbb9d.tar.gz
openembedded-core-contrib-db1fc2ec360eb5dad1363634458ec4b56e7bbb9d.tar.bz2
openembedded-core-contrib-db1fc2ec360eb5dad1363634458ec4b56e7bbb9d.zip
devtools: qemu: Remove obsolete '--with-system-pixman' option
QEMU version 2.11 will remove the pixman submodule. This means users are always required to supply pixman from the system if building softmmu support in QEMU. Without specifying a pixman configure option QEMU will default to using the system pixman if it is avaliable. In which case let's remove the config option as it is no longer supported in recent commits and is not required in older builds as the configure system defaults are already using system pixman. Signed-off-by: Alistair Francis <alistair.francis@xilinx.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
-rw-r--r--meta/recipes-devtools/qemu/qemu.inc1
1 files changed, 0 insertions, 1 deletions
diff --git a/meta/recipes-devtools/qemu/qemu.inc b/meta/recipes-devtools/qemu/qemu.inc
index 0e1411af64..2a1d14b31b 100644
--- a/meta/recipes-devtools/qemu/qemu.inc
+++ b/meta/recipes-devtools/qemu/qemu.inc
@@ -26,7 +26,6 @@ EXTRA_OECONF = " \
--disable-strip \
--disable-werror \
--target-list=${@get_qemu_target_list(d)} \
- --with-system-pixman \
--extra-cflags='${CFLAGS}' \
"
EXTRA_OECONF_append_class-native = " --python=${USRBINPATH}/python2.7"